import { BanditModelData } from './interfaces';
import { ContextAttributes } from './types';
export interface BanditEvaluation {
    flagKey: string;
    subjectKey: string;
    subjectAttributes: ContextAttributes;
    actionKey: string;
    actionAttributes: ContextAttributes;
    actionScore: number;
    actionWeight: number;
    gamma: number;
    optimalityGap: number;
}
export declare class BanditEvaluator {
    private readonly assignmentShards;
    private readonly sharder;
    evaluateBestBanditAction(subjectAttributes: ContextAttributes, actions: Record<string, ContextAttributes>, banditModel: BanditModelData): string | null;
    evaluateBandit(flagKey: string, subjectKey: string, subjectAttributes: ContextAttributes, actions: Record<string, ContextAttributes>, banditModel: BanditModelData): BanditEvaluation;
    private scoreActions;
    private scoreNumericAttributes;
    private scoreCategoricalAttributes;
    private weighActions;
    private selectAction;
    private getTopScore;
}
//# sourceMappingURL=bandit-evaluator.d.ts.map