"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initConfiguration = initConfiguration;
const api_endpoints_1 = require("../api-endpoints");
const configuration_requestor_1 = require("../configuration-requestor");
const http_client_1 = require("../http-client");
async function initConfiguration(configurationStore) {
    const apiEndpoints = new api_endpoints_1.default({
        baseUrl: 'http://127.0.0.1:4000',
        queryParams: {
            apiKey: 'dummy',
            sdkName: 'js-client-sdk-common',
            sdkVersion: '3.0.0',
        },
    });
    const httpClient = new http_client_1.default(apiEndpoints, 1000);
    const configurationRequestor = new configuration_requestor_1.default(httpClient, configurationStore, null, null);
    await configurationRequestor.fetchAndStoreConfigurations();
}
//# sourceMappingURL=test-utils.js.map