import { VariationType } from './interfaces';
export declare enum EppoValueType {
    NullType = 0,
    BoolType = 1,
    NumericType = 2,
    StringType = 3,
    JSONType = 4
}
export type IValue = boolean | number | string;
export declare class EppoValue {
    valueType: EppoValueType;
    boolValue: boolean | undefined;
    numericValue: number | undefined;
    stringValue: string | undefined;
    objectValue: object | undefined;
    private constructor();
    static valueOf(value: boolean | number | string | object, valueType: VariationType): EppoValue;
    toString(): string;
    /**
     * Useful when storing or transmitting the entire value,
     * in particular the JsonType, is not desired.
     *
     * @returns MD5 hashed string of the value
     */
    toHashedString(): string;
    static Bool(value: boolean): EppoValue;
    static Numeric(value: number): EppoValue;
    static String(value: string): EppoValue;
    static JSON(value: string | object): EppoValue;
    static Null(): EppoValue;
}
//# sourceMappingURL=eppo_value.d.ts.map