import NamedEventQueue from './named-event-queue';
/** A bounded event queue that drops events when it reaches its maximum size. */
export declare class BoundedEventQueue<T> implements NamedEventQueue<T> {
    readonly name: string;
    private readonly queue;
    private readonly maxSize;
    constructor(name: string, queue?: T[], maxSize?: number);
    get length(): number;
    splice(count: number): T[];
    isEmpty(): boolean;
    [Symbol.iterator](): IterableIterator<T>;
    push(...events: T[]): void;
    /** Clears all events in the queue and returns them in insertion order. */
    flush(): T[];
}
//# sourceMappingURL=bounded-event-queue.d.ts.map