import { IEventDelivery } from './batch-retry-manager';
import { EventContext } from './default-event-dispatcher';
import Event from './event';
export type EventDeliveryResult = {
    failedEvents: Event[];
};
export default class EventDelivery implements IEventDelivery {
    private readonly sdkKey;
    private readonly ingestionUrl;
    constructor(sdkKey: string, ingestionUrl: string);
    /**
     * Delivers a batch of events to the ingestion URL endpoint. Returns the UUIDs of any events from
     * the batch that failed ingestion.
     */
    deliver(batch: Event[], context: EventContext): Promise<EventDeliveryResult>;
    private parseFailedEvents;
}
//# sourceMappingURL=event-delivery.d.ts.map