import { IObfuscatedPrecomputedBandit, IPrecomputedBandit, PrecomputedFlag } from './interfaces';
import { AttributeType, MD5String } from './types';
export declare function getMD5Hash(input: string, salt?: string): string;
/**
 * Builds a storage key suffix from an API key.
 * @param apiKey - The API key to build the suffix from
 * @returns A string suffix for storage keys
 * @public
 */
export declare function buildStorageKeySuffix(apiKey: string): string;
export declare function encodeBase64(input: string): string;
export declare function attributeEncodeBase64(input: AttributeType): string;
export declare function decodeBase64(input: string): string;
export declare function obfuscatePrecomputedBanditMap(salt: string, bandits: Record<string, IPrecomputedBandit>): Record<MD5String, IObfuscatedPrecomputedBandit>;
export declare function obfuscatePrecomputedFlags(salt: string, precomputedFlags: Record<string, PrecomputedFlag>): Record<MD5String, PrecomputedFlag>;
//# sourceMappingURL=obfuscation.d.ts.map